%define major     12
%define shortname microhttpd
%define libname   %mklibname %shortname %{major}
%define develname %mklibname %{shortname} -d

Name:		libmicrohttpd
Version:	0.9.77
Release:	%mkrel 1
Summary:	Small C library to run an HTTP server
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/libmicrohttpd/
Source:		https://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.xz
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(openssl)

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) HTTP 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone HTTP server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{libname}
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n	%{libname}
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{develname}
Summary:	Development files for %{libname}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Development files for %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete
rm -f %{buildroot}%{_bindir}/demo

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_infodir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Sep 04 2023 tex - 0.9.77-1pclos2023
- new version: 0.9.77
